Bug 221827 - double free or corruption
Summary: double free or corruption
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gawk   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Karel Zak
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-08 12:43 UTC by Karel Zak
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-08 02:11:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karel Zak 2007-01-08 12:43:06 UTC
$ ls /usr/lib/* | grep -v "/" | gawk '{if (length($1) > 14) {print $1}}'

Get dump:
*** glibc detected *** awk: double free or corruption (fasttop): 0x083b78f8 ***

The problem(s) has been reported at bug-gnu-utils@gnu.org. The patch(s) that fix
the problem has been accepted by upstream for gawk-stable tree.

(Note, free() usage for wide strings in gawk has been fixed by multiple patches.
It means we will fix more potential bugs if we apply these patches to our tree.)

Comment 1 RHEL Product and Program Management 2007-01-08 13:00:43 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Jay Turner 2007-01-08 16:59:13 UTC
QE ack for RHEL5.

Comment 5 Karel Zak 2007-01-08 23:06:11 UTC
Fixed. Update to gawk-3.1.5-12.el5.

Comment 6 RHEL Product and Program Management 2007-02-08 02:11:00 UTC
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.



Note You need to log in before you can comment on or make changes to this bug.